//+------------------------------------------------------------------+
//|                                                        HH_LL.mq4 |
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 5

#property indicator_color1 CLR_NONE 
#property indicator_color2 Lime
#property indicator_color3 Red
//----Added start
#property indicator_color4 Lime
#property indicator_color5 Red
//----Added end

#property indicator_width1 0
#property indicator_width2 1
#property indicator_width3 1
//----Added start
#property indicator_width4 1
#property indicator_width5 1
//----Added end
#property indicator_style1 0
#property indicator_style2 2
#property indicator_style3 2
//----Added start
#property indicator_style4 2
#property indicator_style5 2
//----Added end


extern int MaPeriod=1;
extern int MaMethod=1;
extern int MaPrice=0;

extern int HHLLPeriod1=36;
//----Added start
extern int HHLLPeriod2=72;
//----Added end
extern int CountBars=1500;


double MA[];
double HH_MA[];
double LL_MA[];

   //----Added start 
double HH_MA2[];
double LL_MA2[];
   //----Added end
   
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(5);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexStyle(2,DRAW_LINE);
   
   //----Added start   
   SetIndexStyle(3,DRAW_LINE);
   SetIndexStyle(4,DRAW_LINE);
   //----Added end
   
   SetIndexBuffer(0,MA);
   SetIndexBuffer(1,HH_MA);
   SetIndexBuffer(2,LL_MA);
   
   //----Added start
   SetIndexBuffer(3,HH_MA2);
   SetIndexBuffer(4,LL_MA2);
   //----Added end
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   if(Bars<=100) return(0);
   
   if (CountBars>Bars-1) CountBars=Bars-1;
   
   int i=CountBars-MathMax(HHLLPeriod1,MaPeriod);
   
   while(i>=0)
    
     {
     
     MA[i]=iMA(NULL,0,MaPeriod,0,MaMethod,MaPrice,i);
     
      double max=-1000000;
      double min=1000000;
      int k = i + HHLLPeriod1-1;
      while(k>=i)
        {
         if(max<MA[k]) max=MA[k];
         if(min>MA[k]) min=MA[k];
         k--;
        }
       
        
    
     HH_MA[i]=max;
     LL_MA[i]=min;
     
    
     i--;
 
     }
     

    
 

   return(0);
  }
//+------------------------------------------------------------------+